<?php

require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
print '<card title="Статусы">'.
'<p align="center">';

$query_users = @mysql_query("select * from `users` where ci='$ci' and id='$id';");
@mysql_query("update `users` set ltime='".time()."',  where ci='".$ci."' and id='".$id."';");
$data = @mysql_fetch_array($query_users);
$baks= $data['baks'];
$komu= $data['login'];

if($login){ 
if(!$login['ip']) { @mysql_query("update users set `ip`='".getenv(REMOTE_ADDR)."' where ci='".$ci."'  and `id`='".$id."';"); }
if(!$login['soft']) { @mysql_query("update users set `soft`='".getenv(HTTP_USER_AGENT)."' where ci='".$ci."' and `id`='".$id."';"); }}

$baksm= $baks-$cenam;
$baksv= $baks-$cenav;
$bakssm= $baks-$cenasm;
echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"../favicon.ico\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: left }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Супермаркет</div>";
###########
switch($modstatus) {
##########
case 'kupvip':
if ( 4<= $data['level'] )
{
echo "Вы не можете купить данную должность потому-что находитесь на высшей или равной!";
break;
}
else
if ($baks > $cenam)
{
if(@mysql_query("update users set baks='$baksv',`level`=4 where `login`='$komu'")) {

$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус ВИП.";
mysql_query( "Insert into mess set ci='".$ci."', login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>Вип Отныне ты можеш пнуть засранца в чате и давать обьявления в чат! "; 
print "Надеюсь Вы купили должность строго для хароших намерений и для развития и процветания нашего Городка!</u>!";
}
}
else
{
print "Не достаточно тугриков!!";
}
break;

case 'kupmoder':
if ( 5<= $data['level'] )
{
echo "Вы не можете купить данную должность потому-что находитесь на высшей или равной!";
break;
}
else
if ($baks > $cenam)
{
if(@mysql_query("update users set baks='$baksm',`level`=5 where `login`='$komu'")) {

$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус модера.";
mysql_query( "Insert into mess set ci='".$ci."', login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>Вы купили должность Модера! Вам открылась возможность"; 
print "<p align=\"left\"><ol>
<li>Пнуть засранца,
<li>Дать обьявление в чат,
<li>Очистить комнаты,
<li>Добавить фото юзерам.
</ol></p>Надеюсь Вы купили должность строго для хароших намерений и для развития и процветания нашего Городка!</u>!";
}
}
else
{
print "Не достаточно тугриков!!";
}
break;

/*
case 'kuptopmoder':
if ( 6<= $data['level'] )
{
echo "Вы не можете купить данную должность потому-что находитесь на высшей или равной!";
break;
}
else
if ($baks > $cenam)
{
if(@mysql_query("update users set baks='$bakssm',`level`=6 where `login`='$komu'")) {


$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус Старший модер.";
mysql_query( "Insert into mess set ci='".$ci."', login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>Поздравляю! Отныне вы Старший модер! И вам открылись фаактически фсе функцыи админов.Надеюсь вы купили эту должность исключительно для хороших намерений и для процветания нашего Городка!</u>!";  }

}
else
{
print "Не достаточно тугриков!!";
}
break;
case 'kupadmin':
if ( 7<= $data['level'] )
{
echo "Вы не можете купить данную должность потому-что находитесь на высшей или равной!";
break;
}
else
if ($baks > $cenaadmin)
{
if(@mysql_query("update users set baks='$bakssm',`level`=7 where `login`='$komu'")) {


$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус Админ.";
mysql_query( "Insert into mess set ci='".$ci."', login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );

print "<b>$komu</b> <u>Поздравляю! Отныне вы Администратор! И вам открылись фсе функцыи админов.Надеюсь вы купили эту должность исключительно для хороших намерений и для процветания нашего Городка!</u>!";  }

}
else
{
print "Не достаточно тугриков!!";
}
break;
*/
default:
if (empty($do)){
####################*/
if ( empty( $baks ) )
{
print "<br><span style=\"background-color:Black; color:Red\">У вас нет денег!<br>Если у вас достаточно постов то вам путь сначало в<br>";
echo "\r\n<img src=\"../icon/bankomat.gif\" alt=\"\"><a href=\"obmennik.php?id={$id}&amp;pass={$pass}&amp;ci=".$ci."&amp;url={$url}\"> Банкомат</a><br/>\r\n";

echo "</span>";
}
else
{
print "<br/>У Вас <b>$baks</b> тугриков";
}
print  "Если у Вас есть желание быть стражем чата и достаточное количество тугриков,то здесь Вы можете купить себе статус!<br/>";

print "<a href=\"./status.php?ci={$ci}&amp;id=$id&amp;pass=$pass&amp;modstatus=kupvip\">ВИП</a>=$cenav тугриков<br/>";
print "<a href=\"./status.php?ci={$ci}&amp;id=$id&amp;pass=$pass&amp;modstatus=kupmoder\">Модер</a>=$cenam тугриков<br/>";
//print "<a href=\"./status.php?ci={$ci}&amp;id=$id&amp;pass=$pass&amp;modstatus=kuptopmoder\">Ст.модер</a>=$cenasm тугриков<br/>";
//print "<a href=\"./status.php?ci={$ci}&amp;id=$id&amp;pass=$pass&amp;modstatus=kupadmin\">Администратор</a>=$cenaadmin тугриков<br/>";
break;

}

}
print "<br/><div><a href=\"../enter.php?ci={$ci}&amp;id=$id&amp;pass=$pass&amp;\">ПрЯхОшКа</a></div><br/>";


$end = gettime( );
echo "[".round( $end - $mystart, 5 )."]";echo "<div><b>&copy; KOT </a></b></div>";
echo "</body></html>";
mysql_close( $link );
echo "\r\n";
?>